Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Beginner
15 Views

install_cc.sh can't identify your machine type, glibc, or kernel

My computer is Dell optiplex 330. I want to install intel c++ 9.1.053 for linux on my machine.

but this info appeared:

install_cc.sh can't identify your machine type, glibc, or kernel.

This product is supported for use with the following combinations :

machine type kernel glibc
3. EM64T 2.4.212.3.2
EM64T 2.6.x. 2.3.x
EM64T2.6.x. 2.4.x

x. Exit

If you would you like to perform an unsupported install of this product, enter the number corresponding
to the platform most similar to yours. Otherwise, enter "x" to exit :

Could anyone please tell me how should I do? thanks.
0 Kudos
2 Replies
Highlighted
Black Belt
15 Views

If you are serious about using such an old compiler with your installation, you can only accept the unsupported installation and take your luck. You are more likely to encounter difficulty if your g++ is up to date, in which case you really ought to try a currently supported icc.
If you are running an i586/686 version of linux, you won't be able to install the Intel64 compiler, then you would need the ia32 version of icc.
0 Kudos
Highlighted
New Contributor I
15 Views

Quoting - jiansyao
My computer is Dell optiplex 330. I want to install intel c++ 9.1.053 for linux on my machine.

but this info appeared:

install_cc.sh can't identify your machine type, glibc, or kernel.

This product is supported for use with the following combinations :

machine type kernel glibc
3. EM64T 2.4.212.3.2
EM64T 2.6.x. 2.3.x
EM64T2.6.x. 2.4.x

x. Exit

If you would you like to perform an unsupported install of this product, enter the number corresponding
to the platform most similar to yours. Otherwise, enter "x" to exit :

Could anyone please tell me how should I do? thanks.
Hi
Run command shell
cat /proc/cpuinfo (to see processor type cpu having)
Give also your name distribution Linux
verify if you having all packages linux required

??? give same you want install 64 to 32 ????

Kind regards

Sorry Tim (I discover probably I answer same time you) ....

0 Kudos